View Issue Details

IDProjectCategoryView StatusLast Update
0002522Far ManagerPlugins Managerpublic2016-10-01 10:39
ReportershmuelAssigned ToDrKnS 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002522: Выгрузка панельного плагина с открытой панелью
DescriptionЕсли плагин выгрузить, а затем перейти на его панель, Фар падает.

Фар мог бы проверять, что плагин не выгружен, прежде, чем обращаться к его панели.
Альтернативно, при выгрузке панельного плагина, Фар мог бы принудительно закрывать его панели.
Steps To Reproduce1. Открываем: пассивная - панель TmpPanel, активная - %farhome%\Plugins\TmpPanel
2. unload:TmpPanel.dll
3. Tab
Падаем.
TagsNo tags attached.
Build4800

Relationships

duplicate of 0002003 closedDrKnS Wishes Падение при попытке выгрузить плагин, панель которого открыта 

Activities

JohnDoe

2014-06-21 18:15

updater   bugnote:0012532

Дубль 0002003

Issue History

Date Modified Username Field Change
2013-11-05 13:18 shmuel New Issue
2013-11-05 13:34 shmuel Severity minor => crash
2014-06-21 18:15 JohnDoe Note Added: 0012532
2014-06-21 21:39 shmuel Relationship added duplicate of 0002003
2016-10-01 10:39 DrKnS Build => 4800
2016-10-01 10:39 DrKnS Status new => closed
2016-10-01 10:39 DrKnS Assigned To => DrKnS
2016-10-01 10:39 DrKnS Resolution open => fixed
2016-10-01 10:39 DrKnS Fixed in Version => 3.0